using GraphicsManager.Objects;
using Luski.net.Structures.Public;

namespace Luski.GUI.MainScreen.UI.LuskiControls;

public class RoleView : FlowLayout
{
    private string n = "";
    private int i = 0;
    private Label l;
    private Role r;
    public RoleView(Role r)
    {
        n = r.Name;
        this.r = r;
        Console.WriteLine(r.Name);
        l = new(Globals.DefaultFont)
        {
            Text = "  " + n + " — " + i.ToString(),
        };
        base.Size = new(0, 30.ScaleInt());
        base.BackgroundColor = new(43, 45, 49, 255);
        Controls.Add(l);
    }
    
    public async Task AddUser(SocketUser user)
    {
        var f = await UserView.Make(user, r);
            Controls.Add(f);
            Size = new(Size.X, Size.Y + f.Size.Y);
            i++;
            l.Text = "  " + n + " — " + i.ToString();
    }
}